"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
/*
  The MIT License
  
  Copyright (c) 2017-2019 EclipseSource Munich
  https://github.com/eclipsesource/jsonforms
  
  Permission is hereby granted, free of charge, to any person obtaining a copy
  of this software and associated documentation files (the "Software"), to deal
  in the Software without restriction, including without limitation the rights
  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
  copies of the Software, and to permit persons to whom the Software is
  furnished to do so, subject to the following conditions:
  
  The above copyright notice and this permission notice shall be included in
  all copies or substantial portions of the Software.
  
  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
  THE SOFTWARE.
*/
var animations_1 = require("@angular/platform-browser/animations");
var common_1 = require("@angular/common");
var flex_layout_1 = require("@angular/flex-layout");
var forms_1 = require("@angular/forms");
var autocomplete_1 = require("@angular/material/autocomplete");
var button_1 = require("@angular/material/button");
var card_1 = require("@angular/material/card");
var checkbox_1 = require("@angular/material/checkbox");
var datepicker_1 = require("@angular/material/datepicker");
var form_field_1 = require("@angular/material/form-field");
var icon_1 = require("@angular/material/icon");
var input_1 = require("@angular/material/input");
var list_1 = require("@angular/material/list");
var core_1 = require("@angular/material/core");
var select_1 = require("@angular/material/select");
var sidenav_1 = require("@angular/material/sidenav");
var slider_1 = require("@angular/material/slider");
var slide_toggle_1 = require("@angular/material/slide-toggle");
var table_1 = require("@angular/material/table");
var tabs_1 = require("@angular/material/tabs");
var core_2 = require("@angular/core");
var angular_1 = require("@jsonforms/angular");
var controls_1 = require("./controls");
var other_1 = require("./other");
var layouts_1 = require("./layouts");
var JsonFormsAngularMaterialModule = /** @class */ (function () {
    function JsonFormsAngularMaterialModule() {
    }
    JsonFormsAngularMaterialModule = tslib_1.__decorate([
        core_2.NgModule({
            imports: [
                animations_1.BrowserAnimationsModule,
                common_1.CommonModule,
                angular_1.JsonFormsModule,
                form_field_1.MatFormFieldModule,
                checkbox_1.MatCheckboxModule,
                input_1.MatInputModule,
                slider_1.MatSliderModule,
                slide_toggle_1.MatSlideToggleModule,
                core_1.MatNativeDateModule,
                datepicker_1.MatDatepickerModule,
                tabs_1.MatTabsModule,
                sidenav_1.MatSidenavModule,
                list_1.MatListModule,
                forms_1.ReactiveFormsModule,
                flex_layout_1.FlexLayoutModule,
                card_1.MatCardModule,
                select_1.MatSelectModule,
                button_1.MatButtonModule,
                icon_1.MatIconModule,
                autocomplete_1.MatAutocompleteModule,
                table_1.MatTableModule
            ],
            declarations: [
                controls_1.BooleanControlRenderer,
                controls_1.TextAreaRenderer,
                controls_1.TextControlRenderer,
                controls_1.NumberControlRenderer,
                controls_1.RangeControlRenderer,
                controls_1.DateControlRenderer,
                controls_1.ToggleControlRenderer,
                layouts_1.VerticalLayoutRenderer,
                layouts_1.HorizontalLayoutRenderer,
                layouts_1.CategorizationTabLayoutRenderer,
                layouts_1.GroupLayoutRenderer,
                other_1.LabelRenderer,
                other_1.MasterListComponent,
                other_1.JsonFormsDetailComponent,
                other_1.ObjectControlRenderer,
                controls_1.AutocompleteControlRenderer,
                other_1.TableRenderer
            ],
            entryComponents: [
                controls_1.BooleanControlRenderer,
                controls_1.TextAreaRenderer,
                controls_1.TextControlRenderer,
                controls_1.NumberControlRenderer,
                controls_1.RangeControlRenderer,
                controls_1.DateControlRenderer,
                controls_1.ToggleControlRenderer,
                layouts_1.VerticalLayoutRenderer,
                layouts_1.HorizontalLayoutRenderer,
                layouts_1.GroupLayoutRenderer,
                other_1.LabelRenderer,
                layouts_1.CategorizationTabLayoutRenderer,
                other_1.MasterListComponent,
                other_1.JsonFormsDetailComponent,
                other_1.ObjectControlRenderer,
                controls_1.AutocompleteControlRenderer,
                other_1.TableRenderer
            ],
            exports: [
                animations_1.BrowserAnimationsModule,
                common_1.CommonModule,
                angular_1.JsonFormsModule,
                form_field_1.MatFormFieldModule,
                checkbox_1.MatCheckboxModule,
                input_1.MatInputModule,
                slider_1.MatSliderModule,
                slide_toggle_1.MatSlideToggleModule,
                core_1.MatNativeDateModule,
                datepicker_1.MatDatepickerModule,
                tabs_1.MatTabsModule,
                sidenav_1.MatSidenavModule,
                list_1.MatListModule,
                forms_1.ReactiveFormsModule,
                flex_layout_1.FlexLayoutModule,
                card_1.MatCardModule,
                select_1.MatSelectModule,
                button_1.MatButtonModule,
                icon_1.MatIconModule,
                autocomplete_1.MatAutocompleteModule
            ],
            schemas: [core_2.CUSTOM_ELEMENTS_SCHEMA],
            providers: []
        })
    ], JsonFormsAngularMaterialModule);
    return JsonFormsAngularMaterialModule;
}());
exports.JsonFormsAngularMaterialModule = JsonFormsAngularMaterialModule;
//# sourceMappingURL=module.js.map